summaryrefslogtreecommitdiff
path: root/qpid/cpp/src/tests/quick_topictest
diff options
context:
space:
mode:
authorAlan Conway <aconway@apache.org>2007-04-10 22:36:12 +0000
committerAlan Conway <aconway@apache.org>2007-04-10 22:36:12 +0000
commit8dc84a11caf5cc50768f996864139b29af7626c8 (patch)
treec96280bde11d54678bb6adf11e7dc3ff7ee31a0a /qpid/cpp/src/tests/quick_topictest
parentfaf86c6e5f484feef6102533b177202282b7f091 (diff)
downloadqpid-python-8dc84a11caf5cc50768f996864139b29af7626c8.tar.gz
* docs/api/*: Fixed API doc generation to work with VPATH builds.
* src/Makefile.am: - Added missing .h files in distribution. * src & tests Makefile.am: - Made generated .mk fragments maintaner-clean, not distclean, otherwise distclean followed by a VPATH build fails. * cpp/src/tests/quick_topictest: cat error log on failure. git-svn-id: https://svn.apache.org/repos/asf/incubator/qpid/trunk@527325 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'qpid/cpp/src/tests/quick_topictest')
-rwxr-xr-xqpid/cpp/src/tests/quick_topictest6
1 files changed, 4 insertions, 2 deletions
diff --git a/qpid/cpp/src/tests/quick_topictest b/qpid/cpp/src/tests/quick_topictest
index 9df5b5c84c..b1e63b9350 100755
--- a/qpid/cpp/src/tests/quick_topictest
+++ b/qpid/cpp/src/tests/quick_topictest
@@ -1,7 +1,9 @@
#!/bin/sh
# Quick and quiet topic test for make check.
-./topictest -s2 -m2 -b1 > topictest.log 2>&1 || {
- echo See topictest.log.
+test -z "$srcdir" && srcdir=.
+$srcdir/topictest -s2 -m2 -b1 > topictest.log 2>&1 || {
+ echo $0 FAILED:
+ cat topictest.log
exit 1
}
rm topictest.log